Bug 1706766

Summary: VirtualGL
Product: [Fedora] Fedora Reporter: Alex Bolenok <quassnoi>
Component: VirtualGLAssignee: Gary Gatling <gsgatlin>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: gsgatlin, matthew.hirsch, rd.ryly, srhtemp1
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Windows   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-26 18:35:35 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Alex Bolenok 2019-05-06 09:30:11 UTC
Description of problem:

Applications stopped running under VirtualGL after upgrade from 29 to 30

Version-Release number of selected component (if applicable):

2.5.2-3.fc30.x86_64

How reproducible:

Always

Steps to Reproduce:

1. On a machine with Intel Integrated Graphics controller, install:

  xorg-x11-drv-intel-2.99.917-41.20180618.fc30.x86_64
  xorg-x11-server-Xorg-1.20.4-3.fc30.x86_64
  xrdp-0.9.9-2.fc30.x86_64
  xorgxrdp-0.2.9-3.fc30.x86_64
  VirtualGL-2.5.2-3.fc30.x86_64
  lightdm-1.28.0-7.fc30.x86_64
  xfce4-session-4.13.1-23.fc30.x86_64
  google-chrome-stable-74.0.3729.131-1.x86_64

2. Run vglserver_config, choose all default options
3. Restart lightdm: sudo service lightdm restart
4. Create a users called test, add this user to vglusers group
5. Connect to XRDP using mstsc.exe from a Windows machine, log in as the user test, make sure Xorg is used as a session type.
6. Run Chrome
7. Go to chrome://settings/ and make sure Hardware Acceleration is enabled
8. Close Chrome (all tabs)
9. Open terminal (within the XRDP session), run vgrlun +v google-chrome, go to http://madebyevan.com/webgl-water/
10. Log out from XRDP session (not just close the RDP window but make sure to actually log out using the window manager Log Out button), in another non-graphic terminal session edit ~test/.Xclients file, make sure it contains this:

vglrun xfce4-session

11. Try to log in using Windows RDP client again.


Actual results:


On step 9: 

[VGL] ERROR: Could not load GLX/OpenGL functions
[VGL]    /usr/lib64/VirtualGL/libvglfaker.so: undefined symbol: glXGetProcAddressARB

Chrome falls back to software rendering, the page is very slow.

On step 11:

The logon attempt fails, a log file is created at ~test/.xsession-errors:

[VGL] ERROR: Could not load GLX/OpenGL functions
[VGL]    /usr/lib64/VirtualGL/libvglfaker.so: undefined symbol: glXGetProcAddressARB



Expected results:


On step 9: 

No errors when running Chrome, hardware rendering is used, the page is rendered fast.

On step 11:

No errors, the logon session works, the window manager uses hardware rendering.



Additional info:

This used to work on Fedora 29 and stopped working after the upgrade to 30. I didn't change any configuration files manually, all I did was run dnf system-upgrade following the documentation.

Comment 1 Alex Bolenok 2019-05-06 15:57:09 UTC
Following instructions from this thread: https://github.com/VirtualGL/virtualgl/issues/102 and installing the package from VirtualGL's own repository seems to fix the issue.

Comment 2 Gary Gatling 2019-05-06 17:16:53 UTC
I can look into upgrading the application to version 2.6.2 to see if that might fix the issue. The 2 packages differ due to rules fedora has in place about static compiling and not being allowed to bundle libraries into an app. But I also notice the version in drc's repo is 2.6.2 whereas in fedora we are using 2.5.2. I'll see if I can get this to be packaged...

Comment 3 srh 2019-09-09 23:11:10 UTC
Hi there - Any progress on upgrading VirtualGL to ver 2.6.2 in the Fedora repositories??

Comment 4 Gary Gatling 2019-09-12 16:18:04 UTC
Hello. Sorry I dropped the ball on this and forgot about it. I have been out sick the last 2 days but I am back at work now.

When I try to build the updated rpm, I get the error:

-- Could NOT find FLTK (missing: FLTK_FLUID_EXECUTABLE) 
-- RPM architecture = x86_64, DEB architecture = amd64
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
X11_Xtst_INCLUDE_PATH (ADVANCED)
   used as include directory in directory /home/gsgatlin/redhat/BUILD/VirtualGL-2.6.2/diags
   used as include directory in directory /home/gsgatlin/redhat/BUILD/VirtualGL-2.6.2/diags
   used as include directory in directory /home/gsgatlin/redhat/BUILD/VirtualGL-2.6.2/diags
   used as include directory in directory /home/gsgatlin/redhat/BUILD/VirtualGL-2.6.2/diags
   used as include directory in directory /home/gsgatlin/redhat/BUILD/VirtualGL-2.6.2/diags
   used as include directory in directory /home/gsgatlin/redhat/BUILD/VirtualGL-2.6.2/diags
   used as include directory in directory /home/gsgatlin/redhat/BUILD/VirtualGL-2.6.2/diags
   used as include directory in directory /home/gsgatlin/redhat/BUILD/VirtualGL-2.6.2/diags
   used as include directory in directory /home/gsgatlin/redhat/BUILD/VirtualGL-2.6.2/diags
X11_Xtst_LIB (ADVANCED)
    linked by target "tcbench" in directory /home/gsgatlin/redhat/BUILD/VirtualGL-2.6.2/diags

-- Configuring incomplete, errors occurred!
See also "/home/gsgatlin/redhat/BUILD/VirtualGL-2.6.2/CMakeFiles/CMakeOutput.log".
error: Bad exit status from /var/tmp/rpm-tmp.yTalTs (%build)


But I have not given up on it yet. I think I need to look at DRC's source rpm and see what the differences are.

Comment 5 Ruslan Diachenko 2020-02-04 21:31:37 UTC
Hello. Any progress on this? The problem is still present on Fedora 31.

Comment 6 Gary Gatling 2020-02-26 21:01:11 UTC
Sorry for delay. I need 

BuildRequires:  libXtst-devel
and
BuildRequires:  ocl-icd-devel

but got it to compile. Tomorrow I will set up a VirtualGL server to test it. Then we can push an update.

Comment 7 Matt Hirsch 2020-04-05 01:21:02 UTC
I'm just confirming I see the same problem on Fedora 31.

I downloaded this package: VirtualGL-2.6.3.x86_64.rpm

From here: https://sourceforge.net/projects/virtualgl/files/2.6.3/

How close is Fedora to pushing this change?

Comment 8 Ben Cotton 2020-04-30 20:16:25 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2020-05-26 18:35:35 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.